# radius_put_int

(PECL radius >= 1.1.0)

radius_put_int — Attaches an integer attribute

### Descripción

radius_put_int(
resource `$radius_handle`,
int `$type`,
int `$value`,
int `$options` = 0,
int `$tag` = ?
): bool

Attaches an integer attribute to the current RADIUS request.

> Nota:

> Se debe crear una solicitud mediante radius_create_request() antes de llamar a esta función.

### Parámetros

`radius_handle`

  El recurso RADIUS.

`type`

  El tipo de atributo.

`value`

  The attribute value.

`options`

  Una máscara de bits de las opciones de atributo. Las opciones disponibles incluyen `RADIUS_OPTION_TAGGED` y `RADIUS_OPTION_SALT`.

`tag`

  LA etiqueta de atributo. Este parámetro es ignorado a menos que la opción `RADIUS_OPTION_TAGGED` esté establecida.

### Valores devueltos

Devuelve `true` en caso de éxito o `false` en caso de error.

### Historial de cambios

Versión | Descripción
--- | ---
PECL radius 1.3.0 | The `options` and `tag` parameters were added.

### Ejemplos

Ejemplo #1 radius_put_int() example

`<?php
if (!radius_put_int($res, RAD_FRAMED_PROTOCOL, RAD_PPP)) {
echo 'RadiusError:' . radius_strerror($res). "\n<br />";
exit;
}
?>`

### Ver también

- radius_put_string() - Attaches a string attribute
- radius_put_vendor_int() - Attaches a vendor specific integer attribute
- radius_put_vendor_string() - Attaches a vendor specific string attribute